Onerway
POST

3DS Event

Webhook URL
Use this webhook to receive 3DS one-time password events.

Webhook payload fields

request_id
Unique event identifier for deduplication.
event_type
Event type identifier.
Constraints
Values
Fixed to issuing.card3dsEvent for this webhook.
created_at
Event creation time in ISO 8601 format.
version
Webhook API version selected when the subscription is created.
Card 3DS event business data.

Webhook example

{
  "request_id": "replace_with_event_id",
  "event_type": "issuing.card3dsEvent",
  "created_at": "2026-01-01T00:00:00Z",
  "version": "1.0",
  "data": {
    "cardId": "example_card_id",
    "txnOrderNo": "example_transaction_order",
    "type": "OTP",
    "card3dsValues": "123456",
    "description": "",
    "transactionTime": 1767225600000,
    "expireTime": 1767225900000,
    "currency": "USD",
    "amount": 125.5,
    "merchantName": "Example Merchant"
  }
}

Acknowledgement

Return HTTP 200 with respCode=20000 after the 3DS event is received and accepted. Onerway retries when the response code is not 20000.

Response body example

{
  "respCode": "20000",
  "respMsg": "success"
}